Require pdf failing

Hi,

We are using Rails 1.2.1 and Ruby 1.8.5

We have require ‘pdf/writer’
require ‘pdf/simpletable’
Earlier it was done in the controller class but now we have moved it to
environment.rb.
But still sometimes we get the message “pdf is not a class/module”.

This happens intermittently, sometimes very frequently and sometimes
just 2 times out of 10 tries.

Please help.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs